Newbie question about Github


#1

The first time I got UE4 from GitHub, I downloaded the zip file and got Skookum working with it. This time I tried cloning UE4 using the following command:

git clone https://github.com/EpicGames/UnrealEngine.git UnrealEngine -b release

And got Skookum with this command:

git clone https://github.com/AgogLabs/SkookumScript-UnrealEngine.git SkookumScript -b 4.12

But when I compile it, it says AgogCore-Win64-Development.dll is missing.

What did I do wrong? Should I have used UE4’s 4.12 instead of release?

It took a long time to download, so I want to pick the right one this time. :wink:


#2

Hey, just a quick thing to check. The binaries in the :sk: git repo are stored using git-lfs. So if you don’t have it installed/enabled you won’t pull down the dll files.

See this thread for some links.


#3

+1

Also our 4.12 branch is tested only against 4.12, but release is (currently) almost identical to 4.12 so should in theory work just fine.


#4

I ran git lfs install yesterday and AgogCore-Win64-Development.lib is 182 kbs, so this time it downloaded. I will try again with the 4.12 branch. Thanks for your help. :slight_smile:


#5

Welp, just finished downloading Unreal 4.12 branch and got the same error as before. Also my Epic launcher crashes when I try to install the latest build from the marketplace.

Is there any chance you can upload the marketplace builds here so we can download and unzip them like before? The download section here says the available ones are not recommended and it directs me back to the marketplace…


#6

Ok (wearing hat of shame) that DLL was actually missing from the GitHub repo. Please sync again to our GitHub repo and you should be good. Thanks for hanging in there while we get the kinks out and sorry for the trouble!


#7

lol okay, will try again. :slight_smile:

It works!